'use strict';

var _createClass = require('babel-runtime/helpers/create-class')['default'];

var _classCallCheck = require('babel-runtime/helpers/class-call-check')['default'];

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default')['default'];

Object.defineProperty(exports, '__esModule', {
	value: true
});

var _colorsSafe = require('colors/safe');

var _colorsSafe2 = _interopRequireDefault(_colorsSafe);

var Log = (function () {
	function Log(preamble, options) {
		_classCallCheck(this, Log);

		this.options = options;

		// is prepended to console output
		this.preamble = '[' + preamble + ']';
	}

	_createClass(Log, [{
		key: 'info',

		// outputs info to the log
		value: function info(message) {
			console.log(this.preamble, generate_log_message(message));
		}
	}, {
		key: 'debug',

		// outputs debugging info to the log
		value: function debug(message) {
			if (this.options.debug) {
				console.log(this.preamble, '[debug]', generate_log_message(message));
			}
		}
	}, {
		key: 'warning',

		// outputs a warning to the log
		value: function warning(message) {
			console.log(_colorsSafe2['default'].yellow(this.preamble, '[warning]', generate_log_message(message)));
		}
	}, {
		key: 'error',

		// outputs an error to the log
		value: function error(message) {
			console.log(_colorsSafe2['default'].red(this.preamble, '[error]', generate_log_message(message)));
		}
	}]);

	return Log;
})();

exports['default'] = Log;

// transforms arguments to text
function generate_log_message(message) {
	if (typeof message === 'object') {
		return JSON.stringify(message, null, 2);
	}
	return message;
}
module.exports = exports['default'];
//# sourceMappingURL=log.js.map